package com.solution.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.solution.common.annotation.Excel;
import com.solution.common.core.domain.BaseEntity;

/**
 * 节点模板对象 nodetemplate
 * 
 * @author ruoyi
 * @date 2026-02-05
 */
public class Nodetemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 节点模板ID (主键) */
    private Long id;

    /** 节点类型: "Selector", "Sequence", "Action", "Condition", "Decorator" 等 */
    @Excel(name = "节点类型: "Selector", "Sequence", "Action", "Condition", "Decorator" 等")
    private String type;

    /** 模板名称, 例如: "MoveToTarget", "IsTargetVisible" */
    @Excel(name = "模板名称, 例如: "MoveToTarget", "IsTargetVisible"")
    private String name;

    /** 对应的逻辑执行代码/脚本/函数名 */
    @Excel(name = "对应的逻辑执行代码/脚本/函数名")
    private String logicHandler;

    /** 模板描述 */
    @Excel(name = "模板描述")
    private String description;

    /** afsim 中转换的节点名 */
    @Excel(name = "afsim 中转换的节点名")
    private String englishName;

    /** 模版类型，节点模版或者条件判断，例如“node”，precondition“ */
    @Excel(name = "模版类型，节点模版或者条件判断，例如“node”，precondition“")
    private String templeteType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setLogicHandler(String logicHandler) 
    {
        this.logicHandler = logicHandler;
    }

    public String getLogicHandler() 
    {
        return logicHandler;
    }

    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setEnglishName(String englishName) 
    {
        this.englishName = englishName;
    }

    public String getEnglishName() 
    {
        return englishName;
    }

    public void setTempleteType(String templeteType) 
    {
        this.templeteType = templeteType;
    }

    public String getTempleteType() 
    {
        return templeteType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("name", getName())
            .append("logicHandler", getLogicHandler())
            .append("description", getDescription())
            .append("englishName", getEnglishName())
            .append("templeteType", getTempleteType())
            .toString();
    }
}
